dataset:
    name: [WebCV]
    path: [[
        ['frames/PDnvs25/split_all.txt',2],  # 3.85 MB
        ['frames/PDnvs89/split_all.txt',1],  # 7.83 MB
        # ^ these have no ego camera
        # ['frames/PDv2/IKE6_buf[40s4]-ctx[sequence-single]_cam[ALL]_ego[camera_01]_zbuffer_resi[-1,384,s16]_rc[240,384]/indices/split_all.txt',4],  # 1.18 MB
        # ^ has ego camera so cannot combine
    ]]
    labels: [rgb,intrinsics,pose]
    source: [frames]
    shuffle_shards: [True]
    parallelism: [1]
    params:
        context: [0,40]
        cameras: [0]  # NOTE: for PD25 + PD89, webdataset target camera cycles through all
        cameras_context: [0,1,2,3,4,5]
        cameras_context_sample: 1
        shuffle: True
        sample: 1
    repeat_loop: [5]



